@if (!componentData.loadingData) {
  @if (!componentData.errors.importFailed) {
    <div class="p-10">
      <p>
        {{
          'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.message.information-parsing-xml'
            | translate
        }}
      </p>
      <div class="two-cols-grid">
        <span class="title">
          {{
            'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.label.confirmation.entity-xray'
              | translate
          }}
        </span>
        <span class="title">
          {{
            'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.label.confirmation.xray-size'
              | translate
          }}
        </span>
        @for (entity of getXrayEntities(); track entity.identifier) {
          <span [attr.data-test-element-id]="entity.identifier + '-name'">
            {{ entity.i18nKey | translate }}
          </span>
          <span [attr.data-test-element-id]="entity.identifier + '-count'">
            {{ entity.entityCount }}
          </span>
        }
      </div>
    </div>
  } @else {
    <sqtm-app-import-from-xray-error-dialog>
      @if (componentData.errors.actionErrorMessage) {
        <span [innerHTML]="componentData.errors.actionErrorMessage"> </span>
      } @else {
        <span class="error-message">
          {{ 'sqtm-core.error.generic.label' | translate }}
        </span>
      }
    </sqtm-app-import-from-xray-error-dialog>
  }
} @else {
  <div class="flex-column loading">
    <span class="current-workspace-main-color message flex-row">
      {{
        'sqtm-core.administration-workspace.views.project.import.dialog.import-from-xray.label.loading-data'
          | translate
      }}
    </span>
    <i
      class="current-workspace-main-color loading-icon flex-row m-t-20 m-auto"
      nz-icon
      nzType="loading"
      nzTheme="outline"
    ></i>
  </div>
}
